import * as SignalR from '@microsoft/signalr';
declare const signalR: {
    on: (event: any, callback: any) => void;
    off: (event: any, callback: any) => void;
    send: (method: any, ...args: any[]) => Promise<any>;
    stop: () => Promise<void>;
};
declare const restartSignalR: () => Promise<void>;
export { signalR, restartSignalR };
declare global {
    interface Window {
        __SIGNALR_INSTANCE__: SignalR.HubConnection;
    }
}
